Subject: Re: [bug#41679] [PATCH] gnu: Update protonvpn-cli to 2.2.4

From: Ludovic Courtès <[email-masked]>
Date: Wed, 09 Sep 2020 23:08:29 +0200

Hi Ryan,

Ryan Prior <[email-masked]> skribis:

> * gnu/packages/vpn.scm (protonvpn-cli): Update to 2.2.4

Applied!

Brice Waegeneire <[email-masked]> skribis:

> The update is fine, but that package is missing several dependencies, at
> least: python-jinja2, coreutils and iproute. Try running it in a pure
> environment and it will crash “guix environment --pure --container
> --ad-hoc protonvpn-cli -- protonvpn -h”.
>
> Searching the source for “subprocess.run” I find call to other binaries
> which aren't listed as dependencies. Could you wrap the “protonvpn”
> binary with the “PATH” of all the binaries it uses to avoid propagating
> a whole lot of packages. Probably only “python-jinja2” should be
> propagated.

Alternatively, we can substitute file names (of jinja2, coreutils, and
iproute programs) with absolute file names.

That can be addressed separately, though.

Thanks,
Ludo’.